## a2jmidid 6

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 import re
 
 APPNAME='a2jmidid'
-VERSION='5'
+VERSION='6'
 
 # these variables are mandatory ('/' are converted automatically)
 srcdir = '.'
@@ -150,6 +150,7 @@
     obj.inst_dir = '/'
 
     install_files('PREFIX', 'bin', 'a2j_control', chmod=0755)
+    install_files('PREFIX', 'bin', 'a2j', chmod=0755)
 
 def dist_hook():
     os.remove('gitversion_regenerate.sh')
