=== debian/changelog ===
a2jmidid (6-0ubuntu2) lucid; urgency=low

  * sigsegv.c: don't try to get register information on anything but x86 and IA64. (LP: #556351)

 -- Jamie Bennett <jb@canonical.com>  Tue, 06 Apr 2010 02:53:14 -0700

a2jmidid (6-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Switch format to 3.0 (quilt).
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 18 Jan 2010 18:17:01 +0100

a2jmidid (5-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #268324)

 -- Eric Hedekar <afterthebeep@gmail.com>  Wed, 19 Aug 2009 04:03:27 -0700
