=== debian/control ===
Source: a2jmidid
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Hedekar <afterthebeep@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 python-dev,
 libasound2-dev,
 libjack-dev (>= 0.107.0),
 libdbus-1-dev
Standards-Version: 3.8.3
Homepage: http://home.gna.org/a2jmidid/

Package: a2jmidid
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python
Description: daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is daemon that implements automatic bridging. For every ALSA
 sequencer port you get one jack midi port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.
