=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr

override_dh_auto_build:
	./waf

override_dh_auto_clean:
	./waf distclean
	dh_auto_clean

override_dh_auto_install:
	./waf --destdir=$(CURDIR)/debian/tmp install

override_dh_installchangelogs:
	dh_installchangelogs NEWS
