## a2jmidid 7

=== debian/changelog ===
a2jmidid (7-1) unstable; urgency=low

  * New upstream stable release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Mar 2011 10:43:11 +0100

a2jmidid (6+20100828.git60f75d9-1) unstable; urgency=low

  * Imported Upstream version 6+20100828.git60f75d9.
  * Drop binutils_gold.patch, upstream has already applied it.
  * Drop armel-sig-reg-fix.diff, already applied.
  * Upstream has imported our manpages into the sources tree.
  * debian/gbp.conf: Use gzip as compression format.

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 17:50:45 +0100

a2jmidid (6-2) unstable; urgency=low

  * Add patch to prevent FTBFS with binutils-gold (Closes: #603272).

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Nov 2010 14:22:20 +0100

a2jmidid (6-1) unstable; urgency=low

  * Initial Debian release. (Closes: #593734)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 20 Aug 2010 17:08:30 +0200
