=== debian/control ===
Source: a2jmidid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Alessio Treglia <alessio@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 python (>= 2.5),
 python-support,
 libasound2-dev,
 libjack-dev (>= 0.107.0) | libjack-jackd2-dev,
 libdbus-1-dev
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/git/pkg-multimedia/a2jmidid.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/a2jmidid.git
Homepage: http://home.gna.org/a2jmidid/

Package: a2jmidid
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Description: Daemon for exposing legacy ALSA MIDI in JACK MIDI systems
 Main goal of this project is to ease usage of legacy, not JACK-ified
 apps, in a JACK MIDI enabled system.
 a2jmidid is a daemon that implements automatic bridging. For every ALSA
 sequencer port you get one JACK MIDI port. If ALSA sequencer port is
 both one input and one output, you get two JACK MIDI ports, one input
 and one output.
