=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 override_dh_auto_clean:
 	./waf distclean
+	rm -rf build
 	dh_auto_clean
 
 override_dh_auto_install:
