=== debian/changelog ===
a2jmidid (7+dfsg0-1) unstable; urgency=low

  * Repack the tarball to get rid of waf (Closes: #654462):
    - Extract and properly replace the blob "waf" to fulfil Debian's
      requirements.
  * Call ./waf clean instead of distclean and then prune *.pyc files.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Jan 2012 14:00:48 +0100

a2jmidid (7-3) unstable; urgency=low

  * debian/patches/1001-a2j_port_create.patch.
    - Free client information on success too;
      patch taken from upstream's git.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jun 2011 11:35:39 +0200

a2jmidid (7-2) unstable; urgency=low

  * debian/{control,rules}:
    - Switch from pysupport to dh_python2.
  * Add .gitignore to skip quilt files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 Mar 2011 20:10:19 +0100
