=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Alessio Treglia <alessio@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
- python (>= 2.5),
- python-support,
+ python-all (>= 2.6.6-3),
  libasound2-dev,
  libjack-dev (>= 0.107.0) | libjack-jackd2-dev,
  libdbus-1-dev
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/a2jmidid.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/a2jmidid.git
 Homepage: http://home.gna.org/a2jmidid/
