=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	./waf configure --prefix=/usr
@@ -10,7 +10,8 @@
 	./waf
 
 override_dh_auto_clean:
-	./waf distclean
+	./waf clean || true
+	find wafadmin -name "*.pyc" -delete
 	rm -rf build
 	dh_auto_clean
