=== debian/watch ===
version=3
http://download.gna.org/a2jmidid/a2jmidid-(.*)\.tar\.bz2
