=== debian/changelog ===
a2jmidid (8~dfsg0-3) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Drop obsolete field DM-Upload-Allowed
    + Drop pointless field 'X-Python-Version: >= 2.5'
    + Canonicalize Vcs-* fields, and use https.
    + Add build-depepndency on dh-python to avoid a build warning
    + Add dependency on python-dbus.  Closes: #824070
    + Bump Standards-Version to 3.9.8, no changes needed
  * d/rules:
    + Use the -S option of dpkg-parsechangelog to get the field, instead of sed.
  * Bump debhelper compat level to 10
  * d/watch: use @ARCHIVE_EXT@ to look for eventually different archive types.
  * Pull patch from Ubuntu to fix FTBFS in arm64.  Closes: #773088
    Thanks to Logan Rosen <logan@ubuntu.com> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Dec 2016 09:50:56 +0100

a2jmidid (8~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - ppc64-sigsegv.patch: sigsegv.c: added condition to use ucontext.h
      for ppc64, which wasn't being covered. (Closes: #769141)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Mon, 05 Dec 2016 11:51:07 -0200

a2jmidid (8~dfsg0-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 18:45:52 +0000

a2jmidid (8~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - -u commandline option
    - D-Bus method for checking whether hw export is enabled.
    - Fix for resource leak.
    - Improved error message for snd_seq_connect_to() failures
    - --mandir= option in waf.
  * Drop 1001-a2j_port_create.patch, applied upstream.
  * debian/gbp.conf: Don't sign tags.
  * debian/{rules,watch}:
    - Setup repacking mechanism to regenerate the upstream tarball.
  * debian/control:
    - Bump Standards.
  * debian/co{ntrol,pyright}:
    - wrap-and-sort -a -s
  * debian/copyright:
    - Add myself to the copyright holders of debian/*.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Aug 2012 13:16:51 +0200
