=== debian/watch ===
version=4
opts=dversionmangle=s/~dfsg\d+$// \
http://download.gna.org/a2jmidid/a2jmidid-(.*)@ARCHIVE_EXT@
