## a2jmidid 9

=== debian/changelog ===
a2jmidid (9-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * Update control

  [ Dylan Aïssi ]
  * debian/copyright: switch to DEP-5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 10:06:00 +0200

a2jmidid (9-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Enable building for LoongArch (Closes: #1051821)

  [ Erich Eickmeyer ]
  * Patch: add port id to port name to avoid collision (LP: #2058799)
    - (Closes: #1067662)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 18:04:34 +0200

a2jmidid (9-3) unstable; urgency=medium

  * Team upload.
  * Add support for riscv64, thanks Heinrich Schuchardt
    <heinrich.schuchardt@canonical.com>. (Closes: #995472)

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 13 Feb 2023 21:15:41 +0800

a2jmidid (9-2) unstable; urgency=medium

  * Team upload
  * Brown paper bag release
    - Include proper changelog

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 18:36:50 +0200

a2jmidid (9-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release (Closes: #941167)
    - Port to Python 3 (Closes: #936104)
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/:
    - Point to new upstream
    - Use meson build system and Python 3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 18:07:19 +0200
