=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%a2jmidid-$1.tar.gz%"
https://github.com/linuxaudio/a2jmidid/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
